Skip to main content

Electronic Statements

The Electronic Statements APIs enable customers to opt in or out of electronic or paper statement delivery at either the account or user level.

Prerequisites

  • Multi-statement (multiple account online statement preference selection) must be enabled ('true') during onboarding to support account‑level retrieval and updates.
  • Customers must accept the electronic statement disclosure agreement at the user level. If not already accepted, see the Create User Disclosure API to create it.
  • Customers must have an active status.

End-user benefits

  • Access statements electronically for a faster and more streamlined experience when viewing and managing accounts online.
  • Choose electronic or paper delivery at the account level or across all accounts.
  • Ensure that disclosure and consent requirements are properly managed, supporting both compliance and customer preferences.

Integration capabilities

  • Retrieve a customer’s electronic statement opt‑in status across accounts with support for account‑level filtering.
  • Enable customers to opt-in or opt-out at the account or user level (including both individual and bulk updates).
  • Incorporate disclosure validation into workflows to ensure preferences align with required consent and institutional policies.
  • Generate electronic statement opt‑in reports for analytics, monitoring, and compliance tracking.

Scopes

ScopeDescription
accounts:readRetrieve entitled accounts for statement delivery preferences
disclosures:readRetrieve electronic statement disclosure and consent status
disclosures:writeUpdate electronic or paper statement opt-in preferences
institution-users:readVerify the customer is active

Required headers

HeaderDescription
AuthorizationBearer {token} (OAuth V2)
correlationIdUUID used to trace and correlate requests across services for debugging and logging.

Error codes (UXESTMT_*)

CodeMessageHTTP Status Code
UXESTMT_10001Required Authorization header is missing400
UXESTMT_10002Invalid JWT token400
UXESTMT_10003Required role not present in JWT token403
UXESTMT_10004JWT token has expired400
UXESTMT_10005JWT token is invalid, does not contain institution id400
UXESTMT_10006JWT token is invalid, does not contain institution customers id400
UXESTMT_10007Required Correlation Id header is missing400
UXESTMT_10008Correlation Id is not a GUID400
UXESTMT_10011Invalid IP address in the header400
UXESTMT_10012Invalid Authorization in the header400
UXESTMT_11007Invalid path param400
UXESTMT_11008Invalid path404
UXESTMT_11010Required input fields are missing400
UXESTMT_11012The given 'accountId' is not available in user disclosure.400
UXESTMT_11013User disclosure should be in 'ACCEPTED' status.400
UXESTMT_11014'institutionId' is invalid or it's incorrectly configured.400
UXESTMT_11015The days difference should not be greater than 90 days400
UXESTMT_11016'fromDate' can not be greater than 'toDate'.400
UXESTMT_11017Invalid date format, the date format should be dd-MM-yyyy or yyyy-MM-dd'T'HH:mm:ssXXX400
UXESTMT_11018Invalid request, please check the input parameters.400
UXESTMT_11019'fromDate' and 'toDate' can not be same.400
UXESTMT_11020No accounts are available in user disclosure to update.400
UXESTMT_11021Multi-statement functionality is not set up for this institution.400
UXESTMT_30001Error interacting with the service500 or 503
UXESTMT_30002Error interacting with the external service500 or 503
UXESTMT_30003Disclosure not available.503
UXESTMT_88888No entitled customers found.404
UXESTMT_88889The given user is not active.400
UXESTMT_88891Disclosures name is not available for the given 'accountId.'404
UXESTMT_99998Cannot handle this request. Please check the url, request body and parameters.400, 500, or 503

Endpoints